Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.tiles
Class StrutsTilesContainerFactory

    java.lang.Object
      org.apache.tiles.factory.TilesContainerFactory
          org.apache.struts2.tiles.StrutsTilesContainerFactory

    public class StrutsTilesContainerFactory

extends org.apache.tiles.factory.TilesContainerFactory

Field Summary

Fields inherited from class org.apache.tiles.factory.TilesContainerFactory
`CONTAINER_FACTORY_INIT_PARAM, CONTAINER_FACTORY_MUTABLE_INIT_PARAM, CONTEXT_FACTORY_INIT_PARAM, defaultConfiguration, DEFINITIONS_FACTORY_INIT_PARAM, PREPARER_FACTORY_INIT_PARAM`

Constructor Summary
`StrutsTilesContainerFactory()`

Method Summary
`void` | `initializeContainer(java.lang.Object context, org.apache.tiles.impl.BasicTilesContainer container)` Initialize the container in a struts specific manner.

Methods inherited from class org.apache.tiles.factory.TilesContainerFactory
`createContainer, createFactory, createMutableTilesContainer, createTilesContainer, getFactory, getFactory, getInitParameter, getInitParameterMap, resolveFactoryName, setDefaultConfiguration, setDefaultValue, storeContainerDependencies`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsTilesContainerFactory

    public StrutsTilesContainerFactory()

Method Detail

### initializeContainer

    public void initializeContainer(java.lang.Object context,
                                    org.apache.tiles.impl.BasicTilesContainer container)
                             throws org.apache.tiles.TilesException

  Initialize the container in a struts specific manner.

  Overrides:
    `initializeContainer` in class `org.apache.tiles.factory.TilesContainerFactory`
  Parameters:
    `context` -
    `container` -
  Throws:
    `org.apache.tiles.TilesException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.